Page MenuHomePhabricator

Remove conditional "federation mode" logic from the services in the "storage layer"
Closed, ResolvedPublic

Description

Following T214557 and T245547 those services operate in the "entity source based federation" mode any way, hence the conditional logic is redundant

Event Timeline

WMDE-leszek updated the task description. (Show Details)Feb 21 2020, 11:09 AM

Change 573967 had a related patch set uploaded (by WMDE-leszek; owner: WMDE-leszek):
[mediawiki/extensions/Wikibase@master] Removed "non-entity-source" conditional logic in Database*TermStoreWriter

https://gerrit.wikimedia.org/r/573967

WMDE-leszek updated the task description. (Show Details)Feb 21 2020, 1:55 PM

Change 572278 had a related patch set uploaded (by WMDE-leszek; owner: WMDE-leszek):
[mediawiki/extensions/Wikibase@master] Removed "non-entity-source" conditional logic in WikiPageEntityMetaDataLookup

https://gerrit.wikimedia.org/r/572278

Change 572279 had a related patch set uploaded (by WMDE-leszek; owner: WMDE-leszek):
[mediawiki/extensions/Wikibase@master] Removed "non-entity-source" conditional logic in EntityContentFactory

https://gerrit.wikimedia.org/r/572279

Change 572280 had a related patch set uploaded (by WMDE-leszek; owner: WMDE-leszek):
[mediawiki/extensions/Wikibase@master] Removed "non-entity-source" conditional logic in WikiPageEntityStore

https://gerrit.wikimedia.org/r/572280

WMDE-leszek updated the task description. (Show Details)Feb 21 2020, 3:00 PM

Change 572278 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Removed "non-entity-source" conditional logic in WikiPageEntityMetaDataLookup

https://gerrit.wikimedia.org/r/572278

Change 572279 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Removed "non-entity-source" conditional logic in EntityContentFactory

https://gerrit.wikimedia.org/r/572279

Change 572280 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Removed "non-entity-source" conditional logic in WikiPageEntityStore

https://gerrit.wikimedia.org/r/572280

Change 569378 had a related patch set uploaded (by WMDE-leszek; owner: WMDE-leszek):
[mediawiki/extensions/Wikibase@master] Removed "non-entity-source" conditional logic in TermSqlIndex

https://gerrit.wikimedia.org/r/569378

WMDE-leszek updated the task description. (Show Details)Feb 21 2020, 3:50 PM

Change 572265 had a related patch set uploaded (by WMDE-leszek; owner: WMDE-leszek):
[mediawiki/extensions/Wikibase@master] Removed "non-entity-source" conditional logic in RebuildPropertyInfo

https://gerrit.wikimedia.org/r/572265

WMDE-leszek triaged this task as High priority.Feb 21 2020, 3:55 PM

Change 574026 had a related patch set uploaded (by WMDE-leszek; owner: WMDE-leszek):
[mediawiki/extensions/Wikibase@master] Clean up duplicate test cases in PropertyInfoTableBuilderTest

https://gerrit.wikimedia.org/r/574026

WMDE-leszek updated the task description. (Show Details)Feb 21 2020, 4:13 PM

Change 573967 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Removed "non-entity-source" conditional logic in Database*TermStoreWriter

https://gerrit.wikimedia.org/r/573967

WMDE-leszek updated the task description. (Show Details)Feb 21 2020, 5:04 PM

Change 574026 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Clean up duplicate test cases in PropertyInfoTableBuilderTest

https://gerrit.wikimedia.org/r/574026

Change 572265 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Removed "non-entity-source" conditional logic in RebuildPropertyInfo

https://gerrit.wikimedia.org/r/572265

WMDE-leszek updated the task description. (Show Details)Feb 21 2020, 5:33 PM

Change 569378 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Removed "non-entity-source" conditional logic in TermSqlIndex

https://gerrit.wikimedia.org/r/569378

WMDE-leszek updated the task description. (Show Details)Feb 21 2020, 6:10 PM

Change 574062 had a related patch set uploaded (by WMDE-leszek; owner: WMDE-leszek):
[mediawiki/extensions/Wikibase@master] Remove no longer used conditional logic in DatabaseSchemaUpdater

https://gerrit.wikimedia.org/r/574062

WMDE-leszek updated the task description. (Show Details)Feb 21 2020, 7:08 PM

Change 574062 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Remove no longer used conditional logic in DatabaseSchemaUpdater

https://gerrit.wikimedia.org/r/574062

WMDE-leszek closed this task as Resolved.Feb 22 2020, 6:02 PM
WMDE-leszek claimed this task.
WMDE-leszek updated the task description. (Show Details)

Change 574227 had a related patch set uploaded (by WMDE-leszek; owner: WMDE-leszek):
[mediawiki/extensions/WikibaseMediaInfo@master] Removed not needed conditional logic from entity-metadata-accessor-callback

https://gerrit.wikimedia.org/r/574227

WMDE-leszek reopened this task as Open.Feb 23 2020, 1:10 PM
WMDE-leszek removed WMDE-leszek as the assignee of this task.
WMDE-leszek updated the task description. (Show Details)

Change 574227 merged by jenkins-bot:
[mediawiki/extensions/WikibaseMediaInfo@master] Removed not needed conditional logic from entity-metadata-accessor-callback

https://gerrit.wikimedia.org/r/574227

WMDE-leszek closed this task as Resolved.Feb 23 2020, 5:12 PM
WMDE-leszek claimed this task.
WMDE-leszek updated the task description. (Show Details)